/***************************************************************************
                          map.h  -  description
                             -------------------
    begin                : Sat Jan 1 2000
    copyright            : (C) 2000 by Perdig
    email                : perdig@linuxbr.com.br
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef MAP_H
#define MAP_H

#define MAP 2
#define MAPSEP 0
#define DATA 2
#include "global.h"
#include "unistd.h"
#include "string.h"


// Function prototypes
int createMap(levelStruct *Map, int mapNumber);
int toTile(int pos);
int toMap(int tPos);
void update_offset(mapStruct *Map, carStruct *Car);
bool isClean(mapStruct *Map, carStruct *Car, int dir, int lookAhead);
bool passable(int x, int y);
void getFlag(int x, int y);
void initMap(mapStruct *map);
#endif
