/***************************************************************************
                          car.h  -  description
                             -------------------
    begin                : Mon Jan 3 2000
    copyright            : (C) 2000 by Perdig
    email                : perdig@linuxbr.com.br
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAR_H
#define CAR_H

#include "global.h"
#include "map.h"

bool changeDir(carStruct *Car, mapStruct *Map, int direction);
bool move(carStruct *Car, mapStruct *Map);
bool carAI(carStruct *Car, mapStruct *Map);
bool turn(carStruct *Car, mapStruct *Map);
bool fits(carStruct *Car);
bool check(carStruct *Car, aiStruct *AI, mapStruct *Map);
void moveXY(int *x, int *y, int dir, int offset);
bool intersect(carStruct *Car, carStruct *AI);
bool restrictedArea(mapStruct *Map, carStruct *Car);
void carCheck(aiStruct *ai, mapStruct *map);	
#endif

